/*
 * Copyright 2018 nekocode (nekocode.cn@gmail.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cn.nekocode.items.annotation;

import android.support.v7.widget.RecyclerView;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import cn.nekocode.items.data.ItemDataArrayList;
import cn.nekocode.items.data.ItemDataCollection;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.CLASS;

/**
 * @author nekocode (nekocode.cn@gmail.com)
 */
@Retention(CLASS)
@Target(TYPE)
public @interface Items {

    Class<? extends ItemDataCollection> collectionType()
            default ItemDataArrayList.class;

    // Only support recyclerview's adapter now
    Class adapterType()
            default RecyclerView.Adapter.class;

    ItemBinding[] value();
}
